System.Data 1.0.5000.0 2.0.0.0 System.Enum

The following table shows mappings between data types, ODBC data types (shown in parentheses), and .NET Framework types.

Specifies the data type of a field, property, for use in an .

- Field
  System.Data.Odbc.OdbcType

  Exact numeric value with precision 19 (if signed) or 20 (if unsigned) and scale 0 (signed: –2[63] <= n <= 2[63] – 1, unsigned:0 <= n <= 2[64] – 1) (SQL_BIGINT). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  A stream of binary data (SQL_BINARY). This maps to an of type .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  Single bit binary data (SQL_BIT). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  A fixed-length character string (SQL_CHAR). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  Date data in the format yyyymmdd (SQL_TYPE_DATE). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  Date data in the format yyyymmddhhmmss (SQL_TYPE_TIMESTAMP). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  Signed, exact, numeric value with a precision of at least p and scale s, where 1 <= p <= 15 and s <= p. The maximum precision is driver-specific (SQL_DECIMAL). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  Signed, approximate, numeric value with a binary precision 53 (zero or absolute value 10[–308] to 10[308]) (SQL_DOUBLE). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  Variable length binary data. Maximum length is data source–dependent (SQL_LONGVARBINARY). This maps to an of type .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  Exact numeric value with precision 10 and scale 0 (signed: –2[31] <= n <= 2[31] – 1, unsigned:0 <= n <= 2[32] – 1) (SQL_INTEGER). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  Unicode character string of fixed string length (SQL_WCHAR). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  Unicode variable-length character data. Maximum length is data source–dependent. (SQL_WLONGVARCHAR). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  Signed, exact, numeric value with a precision p and scale s, where 1 <= p <= 15, and s <= p (SQL_NUMERIC). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  A variable-length stream of Unicode characters (SQL_WVARCHAR). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  Signed, approximate, numeric value with a binary precision 24 (zero or absolute value 10[–38] to 10[38]).(SQL_REAL). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  Data and time data in the format yyyymmddhhmmss (SQL_TYPE_TIMESTAMP). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  Exact numeric value with precision 5 and scale 0 (signed: –32,768 <= n <= 32,767, unsigned: 0 <= n <= 65,535) (SQL_SMALLINT). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  Variable length character data. Maximum length is data source–dependent (SQL_LONGVARCHAR). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  Date data in the format hhmmss (SQL_TYPE_TIMES). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  A stream of binary data (SQL_BINARY). This maps to an of type .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  Exact numeric value with precision 3 and scale 0 (signed: –128 <= n <= 127, unsigned:0 <= n <= 255)(SQL_TINYINT). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  A fixed-length GUID (SQL_GUID). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  Variable length binary. The maximum is set by the user (SQL_VARBINARY). This maps to an of type .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.Odbc.OdbcType

  A variable-length stream character string (SQL_CHAR). This maps to .

  1.0.5000.0
  2.0.0.0